# Poco::Net::UDPSocketReader

# class Counter

Library: Net
Package: UDP
Header: Poco/Net/UDPSocketReader.h

## Member Summary

Member Functions: operator ++, operator =

## Constructors

### Counter

Counter();

## Member Functions

### operator ++

Poco::Int32 operator ++ ();

### operator ++

Counter & operator ++ (
int
);

### operator =

Counter & operator = (
AtomicCounter::ValueType value
);